using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Markos
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int n = 0;
            int q = 0;
            String[] s = Console.ReadLine().Split();
            n = int.Parse(s[0]);
            q = int.Parse(s[1]);
            s = Console.ReadLine().Split();
            int[] a = new int[n];
            for (int i = 0; i < n; i++)
            {
                a[i] = int.Parse(s[i]);
            }
            s = Console.ReadLine().Split();
            int[] b = new int[q];
            for (int i = 0; i < q; i++)
            {
                b[i] = int.Parse(s[i]);
            }
            int k = 0;
            int med = 0;
            int m = 0;
            while (k < q)
            {
                Array.Sort(a);
                Array.Sort(b);
                for (int j = 0; j < n; j++)
                {
                    if (a[j] == b[k])
                    {
                        med = j;
                        break;
                    }
                }
                if (n % 2 == 0)
                {
                    m = (med) / 2;
                }
                else if (n % 2 != 0)
                {
                    m = (med * 2 - 1);
                }
                Console.WriteLine(n - m);
                k++;
            }
            Console.ReadLine();
        }
    }
}